Subject: Re: [bitcoin-dev] Capacity increases for the Bitcoin system.

From: Justus Ranvier <[email-masked]>
Date: Tue, 8 Dec 2015 12:43:40 -0600

On 12/08/2015 11:41 AM, Mark Friedenbach wrote:
> A far better place than the generation transaction (which I assume means
> coinbase transaction?) is the last transaction in the block. That allows
> you to save, on average, half of the hashes in the Merkle tree.

I don't care what color that bikeshed is painted.

In whatever transaction it is placed, the hash should be on the output
side, That way is more future-proof since it does not crowd out other
hashes which might be equally valuable to commit someday.